![Oracle Logo](https://raw.githubusercontent.com/oracle/dotnet-db-samples/master/images/oracle-nuget.png) 
# Oracle.ManagedDataAccess.Core 23.4.0
Release Notes for Oracle Data Provider for .NET Core NuGet Package

April 2024

Oracle Data Provider for .NET (ODP.NET) Core features optimized ADO.NET data access to the Oracle database for .NET (Core) runtime. ODP.NET allows developers to take advantage of advanced Oracle database functionality, including AI vectors, Real Application Clusters, Application Continuity, JSON Relational Duality, and Fast Connection Failover. 

This document provides information that supplements the [Oracle Data Provider for .NET (ODP.NET) documentation](https://docs.oracle.com/en/database/oracle/oracle-database/23/odpnt/index.html).

## Oracle .NET Links
* [Oracle .NET Home Page](https://www.oracle.com/database/technologies/appdev/dotnet.html)
* [GitHub - Sample Code](https://github.com/oracle/dotnet-db-samples)
* [ODP.NET Discussion Forum](https://forums.oracle.com/ords/apexds/domain/dev-community/category/odp-dot-net)
* [YouTube](https://www.youtube.com/user/OracleDOTNETTeam)
* [X (Twitter)](https://twitter.com/oracledotnet)
* [Email Newsletter Sign Up](https://go.oracle.com/LP=28277?elqCampaignId=124071&nsl=onetdev)

## New Features
* Artificial Intelligence Vector Search
* OracleConfiguration.ConfigurationProviders Public Property

## Bug Fixes since Oracle.ManagedDataAccess.Core 23.3.3-dev
Bug 36508558 - HOSTNAME IN TNSNAMES PREMATURELY RESOLVED TO IP ON CLIENT SIDE WHEN USING HTTPS_PROXY 
Bug 36442140 - BULKCOPY: CLOB/NCLOB DATA THAT IS SENT TO DATABASE VIA WRITETOSERVER() GETS CORRUPTED
Bug 36417060 - ORA-12599 ENCOUNTERD UPON EXECUTING STATEMENTS WITH NA ENABLED AFTER FAILOVER
Bug 36120362 - HIT "ORA-01008" OR "ORA-01722" WHEN EXECUTE QUERY STATEMENT WITH COMMENTS INCLUDING SINGLE QUOTE AND BINDBYNAME = TRUE

 Copyright (c) 2024, Oracle and/or its affiliates. 
